%define anolis_release 1

Summary: A DSSSL implementation
Name: openjade
Version: 1.3.2
Release: %{anolis_release}%{?dist}
Requires: sgml-common
URL: http://openjade.sourceforge.net/
Source: http://download.sourceforge.net/openjade/openjade-%{version}.tar.gz
#config.sub and config.guess from upstream sources (Mar 25th 2013).
#http://git.savannah.gnu.org/gitweb/?p=config.git;a=blob_plain;f=config.guess;hb=HEAD
#http://git.savannah.gnu.org/gitweb/?p=config.git;a=blob_plain;f=config.sub;hb=HEAD
#I can't get them from autoreconf, because of the very strange openjade structure of config files
Source2:config.guess
Source3:config.sub
#do not link against -lnsl
Patch1: openjade-1.3.1-nsl.patch
#Fix dependent libs for libogrove.
Patch2: openjade-deplibs.patch
#do not require OpenSP libosp.la file for build
Patch3: openjade-nola.patch
#upstream bug tracker fix for build with gcc46
Patch4: openjade-1.3.2-gcc46.patch
#use Getopt:Std to prevent build failure
Patch5: openjade-getoptperl.patch
Patch6: openjade-configure-c99.patch
License: DMIT

#Last jade version is from Red Hat 6.2
Provides: jade = %{version}-%{release}

BuildRequires: make
BuildRequires:  gcc-c++
BuildRequires: opensp-devel

BuildRequires: perl-interpreter
BuildRequires: perl-POSIX
BuildRequires: perl-Getopt-Std

%description
OpenJade is an implementation of the ISO/IEC 10179:1996 standard DSSSL
(Document Style Semantics and Specification Language). OpenJade is
based on James Clark's Jade implementation of DSSSL. OpenJade is a
command-line application and a set of components. The DSSSL engine
inputs an SGML or XML document and can output a variety of formats:
XML, RTF, TeX, MIF (FrameMaker), SGML, or XML.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
cp -p %{SOURCE2} %{SOURCE3} config/
export CXXFLAGS="%optflags -fno-lifetime-dse"
%configure --disable-static \
	   --datadir=%{_datadir}/sgml/%{name}-%{version} \
	   --enable-splibdir=%{_libdir}
make


%install
make install install-man DESTDIR=$RPM_BUILD_ROOT

# oMy, othis ois osilly.
ln -s openjade $RPM_BUILD_ROOT/%{_bindir}/jade
echo ".so man1/openjade.1" > $RPM_BUILD_ROOT/%{_mandir}/man1/jade.1

# install jade/jade $RPM_BUILD_ROOT/%{prefix}/bin/jade
cp dsssl/catalog $RPM_BUILD_ROOT/%{_datadir}/sgml/%{name}-%{version}/
cp dsssl/{dsssl,style-sheet,fot}.dtd $RPM_BUILD_ROOT/%{_datadir}/sgml/%{name}-%{version}/

# add unversioned/versioned catalog and symlink
mkdir -p $RPM_BUILD_ROOT/etc/sgml
cd $RPM_BUILD_ROOT/etc/sgml
touch %{name}-%{version}-%{release}.soc
ln -s %{name}-%{version}-%{release}.soc %{name}.soc
cd -

# Stop check-rpaths from complaining about standard runpaths.
export QA_RPATHS=0x0001

%generate_compatibility_deps

%post
%{?ldconfig}
/usr/bin/install-catalog --add /etc/sgml/%{name}-%{version}-%{release}.soc \
    %{_datadir}/sgml/%{name}-%{version}/catalog >/dev/null 2>/dev/null || :

%preun
/usr/bin/install-catalog --remove /etc/sgml/%{name}-%{version}-%{release}.soc \
    %{_datadir}/sgml/%{name}-%{version}/catalog >/dev/null 2>/dev/null || :

%ldconfig_postun

%files
%license COPYING
%ghost /etc/sgml/%{name}-%{version}-%{release}.soc
/etc/sgml/%{name}.soc
%{_bindir}/*
%{_libdir}/*.so*
%{_mandir}/*/*
%{_datadir}/sgml/%{name}-%{version}
%dir %{abidir}
%{abidir}/libogrove.dump
%{abidir}/libospgrove.dump
%{abidir}/libostyle.dump
%{abidir}/openjade-option.list

%files doc
%doc README COPYING VERSION
%doc jadedoc/* dsssl/README.jadetex

%changelog
* Mon Mar 20 2023 happy_orange <songnannan@linux.alibaba.com> - 1.3.2-1
- package init from upstream
